﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.com/gitea/1.21.7/gitea-1.21.7-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.com/gitea/1.21.7/gitea-1.21.7-windows-4.0-amd64.exe'

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = '90e37d56b3958402db538745fb88bc4cb6518c9f1d2e4b5212a957fd533b3012'
  checksumType  = 'sha256'
  checksum64    = 'd1f1f2f622e99c6acd393aa7d1d7a5feb6b53ca533a70e504c29b1b738ff0f72'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
